# Generated by Django 5.0.3 on 2024-04-12 12:38

import django.db.models.deletion
import django_admin_workflow.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=20, verbose_name='token')),
                ('verbose_name', models.CharField(max_length=40, verbose_name='label')),
                ('bgcolor', models.CharField(default='LightGray', help_text='HTML standard color name or #......', max_length=20, verbose_name='color')),
            ],
            options={
                'verbose_name': 'Status',
                'verbose_name_plural': 'Status',
            },
        ),
        migrations.CreateModel(
            name='RolePermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=20, verbose_name='token')),
                ('verbose_name', models.CharField(max_length=40, verbose_name='label')),
                ('bgcolor', models.CharField(default='LightGray', help_text='HTML standard color name or #......', max_length=20, verbose_name='color')),
                ('ctype', models.ForeignKey(limit_choices_to=django_admin_workflow.models.get_workflow_contenttypes, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype', verbose_name='workflow model')),
            ],
            options={
                'verbose_name': 'Role',
            },
        ),
        migrations.CreateModel(
            name='Space',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(blank=True, max_length=40, null=True)),
                ('group', models.ForeignKey(blank=True, help_text='laisser vide sauf cas spécifique', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='workspaces', to='auth.group', verbose_name='linked group')),
            ],
            options={
                'verbose_name': 'Espace',
            },
        ),
        migrations.CreateModel(
            name='SendmailExecutor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.SlugField(blank=True, help_text='status of objects to be processed', max_length=20, null=True)),
                ('last_run_datetime', models.DateTimeField(blank=True, null=True)),
                ('last_OK', models.BooleanField(default=False)),
                ('running', models.BooleanField(default=False)),
                ('space', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_admin_workflow.space', verbose_name='space')),
            ],
            options={
                'verbose_name': 'Executor',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='NotificationConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(default='all', max_length=40)),
                ('email_active', models.BooleanField(default=True)),
                ('role', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='notifier_configs', to='auth.group')),
                ('space', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_admin_workflow.space')),
            ],
        ),
        migrations.CreateModel(
            name='UserSetting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email_active', models.BooleanField(default=True, verbose_name='email notification active')),
                ('reactive_date', models.DateField(blank=True, null=True, verbose_name='reactivation date')),
                ('user', models.OneToOneField(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='notif_config', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Settings',
                'verbose_name_plural': 'Settings',
            },
        ),
    ]
